Skip to main content
`Ctrl`+`K`

# PCSORSetIterations

Sets the number of inner iterations to be used by the SOR preconditioner. The default is 1.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCSORSetIterations(PC pc, PetscInt its, PetscInt lits)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- lits - number of local iterations, smoothings over just variables on processor

- its - number of parallel iterations to use; each parallel iteration has lits local iterations

## Options Database Keys

- -pc_sor_its <its> - Sets number of iterations

- -pc_sor_lits <lits> - Sets number of local iterations

## Note

When run on one processor the number of smoothings is lits*its

## See Also

KSP: Linear System Solvers, `PCSOR`, `PCSORSetOmega()`, `PCSORSetSymmetric()`

## Level

intermediate

## Location

src/ksp/pc/impls/sor/sor.c

## Implementations

PCSORSetIterations_SOR() in src/ksp/pc/impls/sor/sor.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages